LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextOutputStream Interface Referencepublished

Interface to write strings to a stream using a special character encoding. More...

`import"XTextOutputStream.idl";`

Inheritance diagram for XTextOutputStream:

## Public Member Functions
void | writeString ([in] string aString) raises ( com::sun::star::io::IOException )
| writes a string to the stream using the encoding defined by setEncoding(). More...
void | setEncoding ([in] string Encoding)
| sets character encoding. More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to write strings to a stream using a special character encoding.

This interfaces allows to write strings to a stream. The character encoding to be used can be set by setEncoding(). Default encoding is "utf8".

## Member Function Documentation

## ◆ setEncoding()

void setEncoding | ( | [in] string | Encoding | ) |

sets character encoding.

Parameters

  Encoding | sets the character encoding that should be used. The character encoding names refer to the document http://www.iana.org/assignments/character-sets. Which character sets are supported depends on the implementation.

## ◆ writeString()

void writeString | ( | [in] string | aString | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

writes a string to the stream using the encoding defined by setEncoding().

Line breaks or delimiters that may be necessary to support XTextInputStream::readLine() and XTextInputStream::readString() have to be added manually to the parameter string.

See also
  setEncoding
  XTextInputStream::readLine
  XTextInputStream::readString

The documentation for this interface was generated from the following file:

- com/sun/star/io/XTextOutputStream.idl